/*
 * FormatCommandElementMaximizeV.java
 *
 *Created on 17 mei 2005, 21:00
 */

package it.businesslogic.ireport.gui.command;

import it.businesslogic.ireport.OperationType;
import it.businesslogic.ireport.ReportElement;
import it.businesslogic.ireport.TransformationType;
import java.awt.Point;

/**
 *
 */
public class FormatCommandElementMaximizeV extends FormatCommand {
    // Preparation is called before the while loop
    {
        operationType = OperationType.ELEMENT_MAXIMIZE_V;
    }
    
    void executeDeeper() {
        
        resetEnumeration();

        processElements();  //register all elements once with no modification
        
        sleepUndo = true;
    
        getCommand(OperationType.ALIGN_TOP_TO_BAND).execute();
        int height = 0 ;
        
        // this is the class processElements and here without the undo registration
        resetEnumeration();
        while (e.hasMoreElements()) {
            re = (ReportElement) e.nextElement();
            
            if (re.getCell() != null)
            {
                height = re.getCell().getHeight();
                re.setHeight(height);
                //re.trasform(new Point(0,height-re.height), TransformationType.TRANSFORMATION_RESIZE_SE);
                re.updateBounds();
                
            }
            else
            {
                height = re.getBand().getHeight();
                re.setHeight(height);
                //re.trasform(new Point(0,height-re.height), TransformationType.TRANSFORMATION_RESIZE_SE);
                re.updateBounds();
            }
        }
        
        updateElements();
        
        sleepUndo = false;
    }
    
}
